CONSOLE_STARTER(1)

NAME
console_starter - setup vt52/vt100 emulator windows for ti_rri or simh

SYNOPSIS
console_starter [-t term] [-d dev] [-s] [-w] [-l]
console_starter --h

DESCRIPTION
Script to set up an xterm vt52 or vt100 emulator window which will connect to a DL11 or DZ11 serial interface emulation port of ti_rri or a CPU emulator from the simh suite, e.g. pdp11, via a telnet connection. If the connection to the interface emulation port fails or is terminated a message like
        localhost 8000
        Trying 127.0.0.1...
        telnet: Unable to connect to remote host: Connection refused
        telnet failed with rc=256
        enter q or <^D> to quit, otherwise hit <ENTER> to reconnect:
is displayed in the xterm window. Entering a 'q' or 'Control-D' will terminate the xterm window, after pressing the '<ENTER>' key a re-connect will be tried.

OPTIONS

-t term
    defines the terminal emulator type. Allowed values are:
        vt100
            use VT100 emulation. The default.
        vt52
            use VT52 emulation. Useful in conjunction with OS which does not have VT100 support, like early DEC RSX-11M versions.

-d dev
    defines the serial interface emulation port to connect to. Supported are currently primary and secondary DL11 interfaces and eight lines of the first DZ11 interface. Allowed values for dev are:
        DL0 first DL11 (usually console). The default.
        DL1 second DL11.
        DZn eight lines of the first DZ11. n = 0,...,7.

-s  Use simh port numbers. The default is to use ti_rri ports.

-w  Use a wide 132 column screen. Default is 80 column screen width.

-l  Use a long 48 line screen. Default is a 24 lines screen height.

-h  print full help text and exit.

EXIT STATUS
In case of an error, an exit status 1 is returned.

EXAMPLES

console_starter -d DL0 &
    Creates a background process with an xterm in VT100 emulation mode with a 80x24 screen size which will try to connect to the primary DL11 emulator port of ti_rri.

console_starter -t vt52 -d DL1 -s &
    Creates a background process with an xterm in VT52 emulation mode with an 80x24 screen size which will try to connect to the secondary DL11 emulator port of a simh suite CPU emulator.

SEE ALSO
telnet(1), ti_rri(1), xterm(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>